## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name rpds-py
%global srcname rpds_py
%global pypi_version 0.22.3
%global python3_pkgversion 3.11

Name:           python-rpds-py
Version:        %{pypi_version}
Release:        %autorelease
Summary:        Python bindings to the Rust rpds crate
# Full license breakdown in LICENSES.dependencies
License:        MIT AND Apache-2.0 AND (MIT OR Apache-2.0) AND MPL-2.0
URL:            https://github.com/crate-py/rpds
Source0:         %{pypi_source}
# To create the vendor tarball:
#   tar xf %%{srcname}-%%{version}.tar.gz ; pushd %%{srcname}-%%{version} ; \
#   cargo vendor && tar Jcvf ../%%{srcname}-%%{version}-vendor.tar.xz vendor/ ; pushd
Source1:         %{srcname}-%{version}-vendor.tar.xz

%if 0%{?rhel}
BuildRequires:  rust-toolset
%else
BuildRequires:  cargo-rpm-macros
%endif
BuildRequires:  dos2unix
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python-maturin
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  pyproject-rpm-macros

%global _description %{expand:
Python bindings to the Rust rpds crate.}

%description %_description

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{srcname}-%{version} %{?rhel:-a1}

# Fix line terminations
dos2unix README* LICENSE* *.pyi

# Fix for bad requirements dependency
sed -r -i 's/^file:/# &/' tests/requirements.in

%cargo_prep %{?rhel:-v vendor}
rm -f Cargo.lock


%build
export RUSTFLAGS='%{build_rustflags}'
%cargo_license_summary
%{cargo_license} > LICENSES.dependencies
%if %{defined rhel}
%cargo_vendor_manifest
%endif
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files rpds


%check
%pytest -vv


%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license %{python3_sitearch}/%{srcname}-%{pypi_version}.dist-info/license_files/LICENSE 
%license %{python3_sitearch}/%{srcname}-%{pypi_version}.dist-info/license_files/LICENSES.dependencies
%license LICENSE 
%license LICENSES.dependencies
%if %{defined rhel}
%license cargo-vendor.txt
%endif
%doc README.rst


%changelog
* Mon Feb 17 2025 Carlos Heiras <carlos.heiras@oracle.com> - 0.22.3-1
- Update to 0.22.3
- Build for python3.11 OL8

## START: Generated by rpmautospec
* Tue Oct 29 2024 Troy Dawson <tdawson@redhat.com> - 0.17.1-6
- Bump release for October 2024 mass rebuild:

* Mon Jun 24 2024 Troy Dawson <tdawson@redhat.com> - 0.17.1-5
- Bump release for June 2024 mass rebuild

* Thu Feb 01 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 0.17.1-4
- Update Rust macro usage

* Mon Jan 29 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 0.17.1-3
- Revendor

* Sun Jan 28 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 0.17.1-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
